Skip to navigation

Attach files to a PDF

Embeds one or more files as attachments into any PDF (visible in the Acrobat Attachments pane). If the carrier is already PDF/A-3 its conformance is preserved (pdfA3Conformant: true); otherwise the files are embedded without claiming PDF/A-3.

Authentication

AuthorizationBearer

API Key authentication. Use sk_live_* for production or sk_test_* for testing.

Request

Request body for embedding attachments into a PDF
pdfstringRequired>=1 character

Base64-encoded carrier PDF to embed the attachments into

attachmentslist of objectsRequired
Files to embed into the PDF

Response

PDF with embedded attachments
successtrue
datastring

Base64-encoded result PDF with the attachments embedded

pdfA3Conformantboolean

True if the carrier was PDF/A-3 and conformance was preserved

attachmentCountdouble
Number of attachments embedded

Errors

400
Bad Request Error
403
Forbidden Error
413
Content Too Large Error
429
Too Many Requests Error